import Fixture from './fixture';
import { FieldTypeSelector } from './property-builders/field-generator';
export declare type DefineFieldsAction<T, TFieldTypeSelector> = (t: {
    [P in keyof T]: TFieldTypeSelector;
}) => void;
export declare function createFixtureFactory<TFieldSelectorExtension>(...extensions: any[]): <T>(defineFields: DefineFieldsAction<T, FieldTypeSelector & TFieldSelectorExtension>) => Fixture<T>;
