import Field from '../field';
import { BuilderReturnFunction } from '../types';
export interface ArrayBuilderOptions {
    length?: number;
    builder?: (fieldName: string, ...args: any[]) => <T>(...args: any[]) => BuilderReturnFunction<T>;
}
declare const asArrayBuilder: (fieldName: string, [options]: [ArrayBuilderOptions]) => (increment: number) => Field<any[]>;
export default asArrayBuilder;
