"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const field_1 = require("../field");
const index_1 = require("./index");
const _debug = require("debug");
const debug = _debug('efate:array-builder');
const defaultOptions = {
    length: 1,
    // builder: (fieldName, ...args:any[])=> propertyBuilders.asStringBuilder,
};
const asArrayBuilder = (fieldName, [options]) => (increment) => {
    var _a, _b;
    const length = (_a = options === null || options === void 0 ? void 0 : options.length) !== null && _a !== void 0 ? _a : defaultOptions.length;
    const builder = (_b = options === null || options === void 0 ? void 0 : options.builder) !== null && _b !== void 0 ? _b : defaultOptions.builder;
    const arr = [];
    // const fieldBuilder = builder!();
    for (let i = 1; i < length + 1; i++) {
        const value = index_1.fieldBuilders.asStringBuilder(fieldName)(i).value;
        arr.push(value);
    }
    return new field_1.default(fieldName, arr);
};
exports.default = asArrayBuilder;
