"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const field_1 = require("../field");
const arrayOfFixtureBuilder = (fieldName, [{ fixture, count }]) => (increment) => {
    const arrayCount = count !== null && count !== void 0 ? count : 3;
    const mocks = [...new Array(arrayCount).keys()].map(() => fixture.create());
    return new field_1.default(fieldName, mocks);
};
exports.default = arrayOfFixtureBuilder;
