"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const field_1 = require("../field");
const defaultOptions = {
    incrementDay: false,
};
const asDateBuilder = (fieldName, [options] = [defaultOptions]) => (increment) => {
    const date = new Date();
    if (options === null || options === void 0 ? void 0 : options.incrementDay) {
        date.setDate(date.getDate() + (increment - 1));
    }
    return new field_1.default(fieldName, date);
};
exports.default = asDateBuilder;
