"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const field_1 = require("../field");
const pickFromBuilder = (fieldName, [options]) => (increment) => {
    if (!options || options.length === 0) {
        throw new Error('missing or empty options array');
    }
    return new field_1.default(fieldName, options[Math.floor(Math.random() * options.length)]);
};
exports.default = pickFromBuilder;
