"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fieldTypeGenerators = void 0;
const string_field_builder_1 = require("./string-field-builder");
const boolean_field_builder_1 = require("./boolean-field-builder");
const pick_from_field_builder_1 = require("./pick-from-field-builder");
const number_field_builder_1 = require("./number-field-builder");
const date_field_builder_1 = require("./date-field-builder");
const from_fixture_field_builder_1 = require("./from-fixture-field-builder");
const array_field_builder_1 = require("./array-field-builder");
const email_field_builder_1 = require("./email-field-builder");
const function_field_builder_1 = require("./function-field-builder");
const array_of_fixture_builder_1 = require("./array-of-fixture-builder");
const lorem_ipsum_field_builder_1 = require("./lorem-ipsum-field-builder");
exports.fieldTypeGenerators = {
    asBoolean: boolean_field_builder_1.default,
    asNumber: number_field_builder_1.default,
    asString: string_field_builder_1.asStringBuilder,
    withValue: string_field_builder_1.withValueBuilder,
    asConstant: string_field_builder_1.withConstantBuilder,
    firstName: string_field_builder_1.firstNameBuilder,
    lastName: string_field_builder_1.lastNameBuilder,
    fullName: string_field_builder_1.fullNameBuilder,
    pickFrom: pick_from_field_builder_1.default,
    asDate: date_field_builder_1.default,
    fromFixture: from_fixture_field_builder_1.default,
    asArray: array_field_builder_1.default,
    asEmail: email_field_builder_1.default,
    as: function_field_builder_1.default,
    arrayOfFixture: array_of_fixture_builder_1.default,
    asLoremIpsum: lorem_ipsum_field_builder_1.default,
};
